* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    background-image: url(../img/bg-login.png);
    background-size: cover;
    font-family: "Poppins", sans-serif;
}

.container {
    width: 100vw;
    height: 100vh;
    display: grid;
    grid-template-columns: repeat(2 ,1fr);
    grid-gap: 7rem;
    padding: 0 2rem;
}

.login-container {
    display: flex;
    align-items: center;
    text-align: center;
    margin-left: 70px;
}

.form-title {
    font-size: 50px;
}

form {
    width: 480px;
}

form h2 {
    font-size: 2.9rem;
    text-transform: uppercase;
    margin: 15px 0;
}

.input-div {
    display: grid;
    grid-template-rows: 40px;
    margin: 25px 0;
    padding: 5px 0;
    border-bottom: 2px solid #d9d9d9;
}

.input-div.username {
    margin-top: 0;
}

.input-div.password {
    margin-bottom: 4px;
}

.input-div div {
    position: relative;
    height: 45px;
}

.input-div div label {
    position: absolute;
    left: 10px;
    top: 50%;
    transform: translateY(-50%);
    color: black;
    font-size: 18px;
    transition: .3;
}

#username {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 110px;
    border: none;
    outline: none;
    background: none;
    padding: 0.5rem 0.7rem;
    font-size: 18px;
    color: black;
    font-family: "Poppins", sans-serif;
}

#password {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 110px;
    border: none;
    outline: none;
    background: none;
    padding: 0.5rem 0.7rem;
    font-size: 18px;
    color: black;
    font-family: "Poppins", sans-serif;
}

.form-submit-btn a {
    display: block;
    text-align: right;
    text-decoration: none;
    color: black;
    font-size: 14px;
    transition: .3s;
    font-family: "Poppins", sans-serif;
    margin-bottom: 4px;
}

.form-submit-btn a:hover {
    color: #38d39f;
}

.form-submit-btn input {
    display: block;
    width: 100%;
    height: 50px;
    border-radius: 25px;
    margin: 1rem 0;
    font-size: 18px;
    outline: none;
    border: none;
    background-image: linear-gradient(to right, #32b38f, #38d39f,  #32b38f);
    background-size: 200%;
    cursor: pointer;
    text-transform: uppercase;
    color: white;
    font-family: "Poppins", sans-serif;
    transition: .5s;
}

.form-submit-btn input:hover {
    background-position: right;
}

.form-cancel-btn a {
    display: block;
    text-align: right;
    text-decoration: none;
    color: black;
    font-size: 14px;
    transition: .3s;
    font-family: "Poppins", sans-serif;
    margin-bottom: 4px;
}

.form-cancel-btn a:hover {
    color: red;
}

.form-cancel-btn input {
    display: block;
    width: 100%;
    height: 50px;
    border-radius: 25px;
    margin: 1rem 0;
    font-size: 18px;
    outline: none;
    border: none;
    background-image: linear-gradient(to right, #ed2939, red,  #ed2939);
    background-size: 200%;
    cursor: pointer;
    text-transform: uppercase;
    color: white;
    font-family: "Poppins", sans-serif;
    transition: .5s;
}

.form-cancel-btn input:hover {
    background-position: right;
}

@media screen and (max-width: 1024px) {
    form {
        width: 350px;
    }
}

@media screen and (max-width: 768px) {
    form {
        width: 325px;
    }

    form h2 {
        font-size: 10rem;
    }
}

@media screen and (max-width: 425px) {
    html {
        font-size: 75%;
    }

    form {
        width: 270px;
    }
}